# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /home/builder/mesters/aggregate/tensorflow_recipes/tensorflow-base-cpu-gpu-linwin, last modified Tue Apr 25 14:04:50 2023
# ------------------------------------------------

package:
  name: tensorflow-base
  version: 2.12.0
source:
  fn: tensorflow-2.12.0.tar.gz
  patches:
    - patches/0101-include-c-and-cc-headers.patch
    - patches/0103-BUILD-changes-for-external-sqlite-package.patch
    - patches/0107-do-not-hardcode-ca-cert-location.patch
  sha256: c030cb1905bff1d2446615992aad8d8d85cbe90c4fb625cee458c63bf466bc8e
  url: https://github.com/tensorflow/tensorflow/archive/v2.12.0.tar.gz
build:
  entry_points:
    - estimator_ckpt_converter = tensorflow_estimator.python.estimator.tools.checkpoint_converter:main
    - saved_model_cli = tensorflow.python.tools.saved_model_cli:main
    - tf_upgrade_v2 = tensorflow.tools.compatibility.tf_upgrade_v2_main:main
    - tflite_convert = tensorflow.lite.python.tflite_convert:main
    - toco = tensorflow.lite.python.tflite_convert:main
    - toco_from_protos = tensorflow.lite.toco.python.toco_from_protos:main
  number: '0'
  string: eigen_py310h3323580_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - aws-c-common 0.4.57 he6710b0_1
    - aws-c-event-stream 0.1.6 h2531618_5
    - aws-checksums 0.1.9 he6710b0_0
    - aws-sdk-cpp 1.8.185 hce553d0_0
    - bazel 5.2.0 h6a678d5_0
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.0 h5eee18b_0
    - ca-certificates 2023.01.10 h06a4308_0
    - curl 7.88.1 h5eee18b_0
    - dbus 1.13.18 hb2f20db_0
    - expat 2.4.9 h6a678d5_0
    - freetype 2.12.1 h4a9f257_0
    - gcc_impl_linux-64 9.3.0 h6df7d76_17
    - gcc_linux-64 9.3.0 h1ee779e_30
    - gdbm 1.18 hd4cb3f1_4
    - gettext 0.21.0 h39681ba_1
    - git 2.34.1 pl5262hc120c5b_0
    - glib 2.69.1 he621ea3_2
    - gxx_impl_linux-64 9.3.0 hbdd7822_17
    - gxx_linux-64 9.3.0 h7e70986_30
    - icu 58.2 he6710b0_3
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.4 h568e23c_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.88.1 h91b91d3_0
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-devel_linux-64 9.3.0 hb95220a_17
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libpng 1.6.39 h5eee18b_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 9.3.0 hf0c5c8d_17
    - libstdcxx-ng 11.2.0 h1234567_1
    - libxcb 1.15 h7f8727e_0
    - libxml2 2.10.3 hcbfbd50_0
    - ncurses 6.4 h6a678d5_0
    - openjdk 11.0.13 h87a67e3_0
    - openssl 1.1.1t h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - pcre 8.45 h295c915_0
    - pcre2 10.37 he7ceb23_1
    - perl 5.34.0 h5eee18b_2
    - readline 8.2 h5eee18b_0
    - sysroot_linux-64 2.17 h57e8cba_10
    - tk 8.6.12 h1ccaba5_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - abseil-cpp 20211102.0 hd4dd3e8_0
    - absl-py 1.3.0 py310h06a4308_0
    - astor 0.8.1 py310h06a4308_0
    - astunparse 1.6.3 py_0
    - blas 1.0 mkl
    - brotlipy 0.7.0 py310h7f8727e_1002
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.19.0 h5eee18b_0
    - ca-certificates 2023.01.10 h06a4308_0
    - certifi 2022.12.7 py310h06a4308_0
    - cffi 1.15.1 py310h5eee18b_3
    - charset-normalizer 2.0.4 pyhd3eb1b0_0
    - cryptography 39.0.1 py310h9ce1e76_0
    - cython 0.29.33 py310h6a678d5_0
    - dill 0.3.6 py310h06a4308_0
    - fftw 3.3.9 h27cfd23_1
    - flatbuffers 2.0.0 h2531618_0
    - gast 0.4.0 pyhd3eb1b0_0
    - giflib 5.2.1 h5eee18b_3
    - google-pasta 0.2.0 pyhd3eb1b0_0
    - grpc-cpp 1.48.2 h5bf31a4_0
    - grpcio 1.48.2 py310h5bf31a4_0
    - h5py 3.7.0 py310he06866b_0
    - hdf5 1.10.6 h3ffc7dd_1
    - icu 58.2 he6710b0_3
    - idna 3.4 py310h06a4308_0
    - intel-openmp 2021.4.0 h06a4308_3561
    - jpeg 9e h5eee18b_1
    - krb5 1.19.4 h568e23c_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 7.88.1 h91b91d3_0
    - libedit 3.1.20221030 h5eee18b_0
    - libev 4.33 h7f8727e_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h00389a5_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libpng 1.6.39 h5eee18b_0
    - libprotobuf 3.20.3 he621ea3_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - mkl 2021.4.0 h06a4308_640
    - mkl-service 2.4.0 py310h7f8727e_0
    - mkl_fft 1.3.1 py310hd6ae3a3_0
    - mkl_random 1.2.2 py310h00e6091_0
    - nasm 2.13.03 h7b6447c_1
    - ncurses 6.4 h6a678d5_0
    - nsync 1.24.0 h2531618_0
    - numpy 1.22.3 py310hfa59a62_0
    - numpy-base 1.22.3 py310h9585f30_0
    - openssl 1.1.1t h7f8727e_0
    - opt_einsum 3.3.0 pyhd3eb1b0_1
    - packaging 23.0 py310h06a4308_0
    - pcre 8.45 h295c915_0
    - pip 23.0.1 py310h06a4308_0
    - protobuf 3.20.3 py310h6a678d5_0
    - pybind11 2.10.1 py310hdb19cb5_0
    - pybind11-global 2.10.1 py310hdb19cb5_0
    - pycparser 2.21 pyhd3eb1b0_0
    - pyopenssl 23.0.0 py310h06a4308_0
    - pysocks 1.7.1 py310h06a4308_0
    - python 3.10.11 h7a1cb2a_2
    - python-flatbuffers 2.0 pyhd3eb1b0_0
    - re2 2022.04.01 h295c915_0
    - readline 8.2 h5eee18b_0
    - requests 2.28.1 py310h06a4308_1
    - scipy 1.7.3 py310h1794996_2
    - setuptools 66.0.0 py310h06a4308_0
    - six 1.16.0 pyhd3eb1b0_1
    - snappy 1.1.9 h295c915_0
    - sqlite 3.41.2 h5eee18b_0
    - swig 4.0.2 h295c915_4
    - termcolor 2.1.0 py310h06a4308_0
    - tk 8.6.12 h1ccaba5_0
    - typing_extensions 4.5.0 py310h06a4308_0
    - tzdata 2023c h04d1e81_0
    - unzip 6.0 h611a1e1_0
    - urllib3 1.26.15 py310h06a4308_0
    - wheel 0.38.4 py310h06a4308_0
    - wrapt 1.14.1 py310h5eee18b_0
    - xz 5.2.10 h5eee18b_1
    - zip 3.0 h7f8727e_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - absl-py >=1.0.0
    - astunparse >=1.6.3
    - flatbuffers >=2.0
    - gast 0.4.0.*
    - giflib >=5.2.1,<5.3.0a0
    - google-pasta >=0.1.1
    - grpc-cpp >=1.48.2,<1.49.0a0
    - grpcio >=1.24.3,<2.0
    - h5py >=2.9.0
    - icu >=58.2,<59.0a0
    - jpeg >=9e,<10a
    - keras 2.12.*
    - libcurl >=7.88.1,<8.0a0
    - libgcc-ng >=9.3.0
    - libpng >=1.6.39,<1.7.0a0
    - libprotobuf >=3.20.3,<3.21.0a0
    - libstdcxx-ng >=9.3.0
    - numpy >=1.22,<1.24
    - openssl >=1.1.1t,<1.1.2a
    - opt_einsum >=2.3.2
    - packaging
    - python >=3.10,<3.11.0a0
    - python-flatbuffers >=2.0
    - requests
    - scipy >=1.7.3,<2
    - setuptools
    - six >=1.12.0
    - snappy >=1.1.9,<2.0a0
    - sqlite >=3.41.2,<4.0a0
    - tensorboard 2.12.*
    - tensorflow-estimator 2.12.*
    - termcolor >=1.1.0
    - typing_extensions >=3.6.6
    - wrapt >=1.11.2
    - zlib >=1.2.13,<1.3.0a0
test:
  commands:
    - saved_model_cli --help || echo $?
    - tf_upgrade_v2 --help
    - tflite_convert --help
    - toco_from_protos --help
    - toco --help
  imports:
    - tensorflow
about:
  description: 'TensorFlow provides multiple APIs.The lowest level API, TensorFlow
    Core

    provides you with complete programming control.

    Base package contains only tensorflow, not tensorflow-tensorboard.

    '
  dev_url: https://github.com/tensorflow/tensorflow
  doc_source_url: https://github.com/tensorflow/docs/
  doc_url: https://www.tensorflow.org/api_docs
  home: https://tensorflow.org/
  license: Apache-2.0
  license_family: Apache
  summary: TensorFlow is a machine learning library, base package contains only tensorflow.
extra:
  copy_test_source_files: true
  final: true
  tflow_variant: eigen
